<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_05) on Sat Jun 07 12:11:35 EEST 2014 -->
<title>JMessage</title>
<meta name="date" content="2014-06-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JMessage";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../gr/zeus/ui/JIConsole.html" title="class in gr.zeus.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../gr/zeus/ui/JMessage.JMessageButtonEnum.html" title="enum in gr.zeus.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?gr/zeus/ui/JMessage.html" target="_top">Frames</a></li>
<li><a href="JMessage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.javax.swing.JDialog">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">gr.zeus.ui</div>
<h2 title="Class JMessage" class="title">Class JMessage</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>java.awt.Window</li>
<li>
<ul class="inheritance">
<li>java.awt.Dialog</li>
<li>
<ul class="inheritance">
<li>javax.swing.JDialog</li>
<li>
<ul class="inheritance">
<li>gr.zeus.ui.JMessage</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants</dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">JMessage</span>
extends javax.swing.JDialog</pre>
<div class="block">This component is similar to <code>javax.swing.JOptionPane</code> component.
 It can be used to display message and error dialogs. The main features of
 <code>JMessage</code> are:<br>
 <ul>
 <li>Displays simple messages and the stacktrace of an exception</li>
 <li>Supports html text for messages with build-in plain text conversion</li>
 <li>The dialogs are modal. In addition they stay on top of other windows at
 all times</li>
 <li>Supports for <code>JOptionPane</code> OK,CANCEL,YES,NO buttons</li>
 <li>Selects a default button in the dialog</li>
 <li>Supports all <code>JOptionPane</code> messageType(s) & optionType(s)</li>
 <li>Uses UI default icons or user supplied icons</li>
 <li>Uses localized dialog titles and button text, or user supplied text</li>
 <li>Returns dialog status depending on which button was pressed</li>
 </ul>
 <p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.40</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Gregory Kotsaftis</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#gr.zeus.ui.JMessage">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.JMessageButtonEnum.html" title="enum in gr.zeus.ui">JMessage.JMessageButtonEnum</a></span></code>
<div class="block">Enum with all the supported buttons of the dialog.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.javax.swing.JDialog">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JDialog</h3>
<code>javax.swing.JDialog.AccessibleJDialog</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Dialog">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Dialog</h3>
<code>java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Window">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Window</h3>
<code>java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h3>
<code>java.awt.Container.AccessibleAWTContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.JDialog">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JDialog</h3>
<code>accessibleContext, rootPane, rootPaneCheckingEnabled</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Dialog">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Dialog</h3>
<code>DEFAULT_MODALITY_TYPE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.WindowConstants">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;javax.swing.WindowConstants</h3>
<code>DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#JMessage-java.awt.Frame-java.lang.String-java.lang.String-int-int-gr.zeus.ui.JMessage.JMessageButtonEnum-javax.swing.Icon-java.lang.Throwable-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">JMessage</a></span>(java.awt.Frame&nbsp;parent,
        java.lang.String&nbsp;message,
        java.lang.String&nbsp;frameTitle,
        int&nbsp;messageType,
        int&nbsp;optionType,
        <a href="../../../gr/zeus/ui/JMessage.JMessageButtonEnum.html" title="enum in gr.zeus.ui">JMessage.JMessageButtonEnum</a>&nbsp;defaultButton,
        javax.swing.Icon&nbsp;ico,
        java.lang.Throwable&nbsp;ex,
        java.lang.String&nbsp;okText,
        java.lang.String&nbsp;cancelText,
        java.lang.String&nbsp;yesText,
        java.lang.String&nbsp;noText)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#getReturnStatus--">getReturnStatus</a></span>()</code>
<div class="block">Returns the status of the dialog depending on which button was pressed.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showErrorMessage-java.awt.Frame-java.lang.String-">showErrorMessage</a></span>(java.awt.Frame&nbsp;parent,
                java.lang.String&nbsp;message)</code>
<div class="block">Wrapper method for showMessageDialog().</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showErrorMessage-java.awt.Frame-java.lang.String-java.lang.Throwable-">showErrorMessage</a></span>(java.awt.Frame&nbsp;parent,
                java.lang.String&nbsp;message,
                java.lang.Throwable&nbsp;ex)</code>
<div class="block">Wrapper method for showMessageDialog().</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showErrorQuestionMessageY-java.awt.Frame-java.lang.String-java.lang.Throwable-">showErrorQuestionMessageY</a></span>(java.awt.Frame&nbsp;parent,
                         java.lang.String&nbsp;message,
                         java.lang.Throwable&nbsp;ex)</code>
<div class="block">Shows a question window with YES/NO button options.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showInfoMessage-java.awt.Frame-java.lang.String-">showInfoMessage</a></span>(java.awt.Frame&nbsp;parent,
               java.lang.String&nbsp;message)</code>
<div class="block">Wrapper method for showMessageDialog().</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showInfoMessage-java.awt.Frame-java.lang.String-java.lang.Throwable-">showInfoMessage</a></span>(java.awt.Frame&nbsp;parent,
               java.lang.String&nbsp;message,
               java.lang.Throwable&nbsp;ex)</code>
<div class="block">Wrapper method for showMessageDialog().</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showMessageDialog-java.awt.Frame-java.lang.String-int-int-">showMessageDialog</a></span>(java.awt.Frame&nbsp;parent,
                 java.lang.String&nbsp;message,
                 int&nbsp;messageType,
                 int&nbsp;optionType)</code>
<div class="block">Factory method, create-show-return.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showMessageDialog-java.awt.Frame-java.lang.String-int-int-gr.zeus.ui.JMessage.JMessageButtonEnum-">showMessageDialog</a></span>(java.awt.Frame&nbsp;parent,
                 java.lang.String&nbsp;message,
                 int&nbsp;messageType,
                 int&nbsp;optionType,
                 <a href="../../../gr/zeus/ui/JMessage.JMessageButtonEnum.html" title="enum in gr.zeus.ui">JMessage.JMessageButtonEnum</a>&nbsp;defaultButton)</code>
<div class="block">Factory method, create-show-return.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showMessageDialog-java.awt.Frame-java.lang.String-int-int-java.lang.Throwable-">showMessageDialog</a></span>(java.awt.Frame&nbsp;parent,
                 java.lang.String&nbsp;message,
                 int&nbsp;messageType,
                 int&nbsp;optionType,
                 java.lang.Throwable&nbsp;ex)</code>
<div class="block">Factory method, create-show-return.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showMessageDialog-java.awt.Frame-java.lang.String-java.lang.String-int-int-gr.zeus.ui.JMessage.JMessageButtonEnum-javax.swing.Icon-java.lang.Throwable-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">showMessageDialog</a></span>(java.awt.Frame&nbsp;parent,
                 java.lang.String&nbsp;message,
                 java.lang.String&nbsp;frameTitle,
                 int&nbsp;messageType,
                 int&nbsp;optionType,
                 <a href="../../../gr/zeus/ui/JMessage.JMessageButtonEnum.html" title="enum in gr.zeus.ui">JMessage.JMessageButtonEnum</a>&nbsp;defaultButton,
                 javax.swing.Icon&nbsp;ico,
                 java.lang.Throwable&nbsp;ex,
                 java.lang.String&nbsp;okText,
                 java.lang.String&nbsp;cancelText,
                 java.lang.String&nbsp;yesText,
                 java.lang.String&nbsp;noText)</code>
<div class="block">Factory method, create-show-return.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showQuestionMessageN-java.awt.Frame-java.lang.String-">showQuestionMessageN</a></span>(java.awt.Frame&nbsp;parent,
                    java.lang.String&nbsp;message)</code>
<div class="block">Wrapper method for showMessageDialog().</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showQuestionMessageY-java.awt.Frame-java.lang.String-">showQuestionMessageY</a></span>(java.awt.Frame&nbsp;parent,
                    java.lang.String&nbsp;message)</code>
<div class="block">Wrapper method for showMessageDialog().</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showWarningMessage-java.awt.Frame-java.lang.String-">showWarningMessage</a></span>(java.awt.Frame&nbsp;parent,
                  java.lang.String&nbsp;message)</code>
<div class="block">Wrapper method for showMessageDialog().</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JMessage.html#showWarningMessage-java.awt.Frame-java.lang.String-java.lang.Throwable-">showWarningMessage</a></span>(java.awt.Frame&nbsp;parent,
                  java.lang.String&nbsp;message,
                  java.lang.Throwable&nbsp;ex)</code>
<div class="block">Wrapper method for showMessageDialog().</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.JDialog">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JDialog</h3>
<code>addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Dialog">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Dialog</h3>
<code>addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Window">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Window</h3>
<code>addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JMessage-java.awt.Frame-java.lang.String-java.lang.String-int-int-gr.zeus.ui.JMessage.JMessageButtonEnum-javax.swing.Icon-java.lang.Throwable-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JMessage</h4>
<pre>public&nbsp;JMessage(java.awt.Frame&nbsp;parent,
                java.lang.String&nbsp;message,
                java.lang.String&nbsp;frameTitle,
                int&nbsp;messageType,
                int&nbsp;optionType,
                <a href="../../../gr/zeus/ui/JMessage.JMessageButtonEnum.html" title="enum in gr.zeus.ui">JMessage.JMessageButtonEnum</a>&nbsp;defaultButton,
                javax.swing.Icon&nbsp;ico,
                java.lang.Throwable&nbsp;ex,
                java.lang.String&nbsp;okText,
                java.lang.String&nbsp;cancelText,
                java.lang.String&nbsp;yesText,
                java.lang.String&nbsp;noText)</pre>
<div class="block">Constructor. Creates fully customizable message dialog.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
<dd><code>frameTitle</code> - The title for the frame, if <code>null</code> the
                      default is used.</dd>
<dd><code>messageType</code> - Same as <code>JOptionPane</code>, one of:
                      ERROR_MESSAGE, INFORMATION_MESSAGE, WARNING_MESSAGE,
                      QUESTION_MESSAGE, or PLAIN_MESSAGE</dd>
<dd><code>optionType</code> - Same as <code>JOptionPane</code>, one of:
                      DEFAULT_OPTION, YES_NO_OPTION, YES_NO_CANCEL_OPTION,
                      OK_CANCEL_OPTION</dd>
<dd><code>defaultButton</code> - The default selected button for the dialog, if
                      <code>null</code> the default for
                      <code>optionType</code> will be selected.</dd>
<dd><code>ico</code> - The custom icon to use, <code>null</code> means no
                      icon.</dd>
<dd><code>ex</code> - An exception to display it's stacktrace,
                      <code>null</code> will disable the stacktrace button
                      functionality.</dd>
<dd><code>okText</code> - Ok button text, if <code>null</code> the default
                      is used.</dd>
<dd><code>cancelText</code> - Cancel button text, if <code>null</code> the default
                      is used.</dd>
<dd><code>yesText</code> - Yes button text, if <code>null</code> the default
                      is used.</dd>
<dd><code>noText</code> - No button text, if <code>null</code> the default
                      is used.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="showErrorQuestionMessageY-java.awt.Frame-java.lang.String-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showErrorQuestionMessageY</h4>
<pre>public static&nbsp;boolean&nbsp;showErrorQuestionMessageY(java.awt.Frame&nbsp;parent,
                                                java.lang.String&nbsp;message,
                                                java.lang.Throwable&nbsp;ex)</pre>
<div class="block">Shows a question window with YES/NO button options. Default button is YES.
 Also enables button to print the stacktrace of an exception.
 NOTE: On dialog close, it also returns false.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
<dd><code>ex</code> - An exception to display it's stacktrace,
                      <code>null</code> will disable the stacktrace button
                      functionality.
 <p></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true for YES, false for NO</dd>
</dl>
</li>
</ul>
<a name="showErrorMessage-java.awt.Frame-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showErrorMessage</h4>
<pre>public static&nbsp;void&nbsp;showErrorMessage(java.awt.Frame&nbsp;parent,
                                    java.lang.String&nbsp;message)</pre>
<div class="block">Wrapper method for showMessageDialog(). Shows an error window with
 default button option.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
</dl>
</li>
</ul>
<a name="showErrorMessage-java.awt.Frame-java.lang.String-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showErrorMessage</h4>
<pre>public static&nbsp;void&nbsp;showErrorMessage(java.awt.Frame&nbsp;parent,
                                    java.lang.String&nbsp;message,
                                    java.lang.Throwable&nbsp;ex)</pre>
<div class="block">Wrapper method for showMessageDialog(). Shows an error window with
 default button option.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
<dd><code>ex</code> - An exception to display it's stacktrace,
                      <code>null</code> will disable the stacktrace button
                      functionality.</dd>
</dl>
</li>
</ul>
<a name="showWarningMessage-java.awt.Frame-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showWarningMessage</h4>
<pre>public static&nbsp;void&nbsp;showWarningMessage(java.awt.Frame&nbsp;parent,
                                      java.lang.String&nbsp;message)</pre>
<div class="block">Wrapper method for showMessageDialog(). Shows a warning window with
 default button option.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
</dl>
</li>
</ul>
<a name="showWarningMessage-java.awt.Frame-java.lang.String-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showWarningMessage</h4>
<pre>public static&nbsp;void&nbsp;showWarningMessage(java.awt.Frame&nbsp;parent,
                                      java.lang.String&nbsp;message,
                                      java.lang.Throwable&nbsp;ex)</pre>
<div class="block">Wrapper method for showMessageDialog(). Shows a warning window with
 default button option.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
<dd><code>ex</code> - An exception to display it's stacktrace,
                      <code>null</code> will disable the stacktrace button
                      functionality.</dd>
</dl>
</li>
</ul>
<a name="showInfoMessage-java.awt.Frame-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showInfoMessage</h4>
<pre>public static&nbsp;void&nbsp;showInfoMessage(java.awt.Frame&nbsp;parent,
                                   java.lang.String&nbsp;message)</pre>
<div class="block">Wrapper method for showMessageDialog(). Shows an info window with
 default button option.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
</dl>
</li>
</ul>
<a name="showInfoMessage-java.awt.Frame-java.lang.String-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showInfoMessage</h4>
<pre>public static&nbsp;void&nbsp;showInfoMessage(java.awt.Frame&nbsp;parent,
                                   java.lang.String&nbsp;message,
                                   java.lang.Throwable&nbsp;ex)</pre>
<div class="block">Wrapper method for showMessageDialog(). Shows an info window with
 default button option.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
<dd><code>ex</code> - An exception to display it's stacktrace,
                      <code>null</code> will disable the stacktrace button
                      functionality.</dd>
</dl>
</li>
</ul>
<a name="showQuestionMessageN-java.awt.Frame-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showQuestionMessageN</h4>
<pre>public static&nbsp;boolean&nbsp;showQuestionMessageN(java.awt.Frame&nbsp;parent,
                                           java.lang.String&nbsp;message)</pre>
<div class="block">Wrapper method for showMessageDialog(). Shows a question window with
 YES/NO button options. Default button is NO, e.g. for use with delete
 confirmation dialogs. NOTE: On dialog close, it also returns false.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.
 <p></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true for YES, false for NO</dd>
</dl>
</li>
</ul>
<a name="showQuestionMessageY-java.awt.Frame-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showQuestionMessageY</h4>
<pre>public static&nbsp;boolean&nbsp;showQuestionMessageY(java.awt.Frame&nbsp;parent,
                                           java.lang.String&nbsp;message)</pre>
<div class="block">Wrapper method for showMessageDialog(). Shows a question window with
 YES/NO button options. Default button is YES, e.g. for use with save
 confirmation dialogs. NOTE: On dialog close, it also returns false.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.
 <p></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true for YES, false for NO</dd>
</dl>
</li>
</ul>
<a name="showMessageDialog-java.awt.Frame-java.lang.String-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showMessageDialog</h4>
<pre>public static&nbsp;int&nbsp;showMessageDialog(java.awt.Frame&nbsp;parent,
                                    java.lang.String&nbsp;message,
                                    int&nbsp;messageType,
                                    int&nbsp;optionType)</pre>
<div class="block">Factory method, create-show-return.
 Creates a dialog relative to <code>parent</code> frame using UI defaults
 for icon and a locale specific frame title.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
<dd><code>messageType</code> - Same as <code>JOptionPane</code>, one of:
                      ERROR_MESSAGE, INFORMATION_MESSAGE, WARNING_MESSAGE,
                      QUESTION_MESSAGE, or PLAIN_MESSAGE</dd>
<dd><code>optionType</code> - Same as <code>JOptionPane</code>, one of:
                      DEFAULT_OPTION, YES_NO_OPTION, YES_NO_CANCEL_OPTION,
                      OK_CANCEL_OPTION
 <p></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The status of the dialog depending on which button
                      was pressed. Same as <code>JOptionPane</code>,
                      one of: CANCEL_OPTION, NO_OPTION, YES_OPTION,
                      OK_OPTION or CLOSED_OPTION if the dialog was closed.</dd>
</dl>
</li>
</ul>
<a name="showMessageDialog-java.awt.Frame-java.lang.String-int-int-gr.zeus.ui.JMessage.JMessageButtonEnum-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showMessageDialog</h4>
<pre>public static&nbsp;int&nbsp;showMessageDialog(java.awt.Frame&nbsp;parent,
                                    java.lang.String&nbsp;message,
                                    int&nbsp;messageType,
                                    int&nbsp;optionType,
                                    <a href="../../../gr/zeus/ui/JMessage.JMessageButtonEnum.html" title="enum in gr.zeus.ui">JMessage.JMessageButtonEnum</a>&nbsp;defaultButton)</pre>
<div class="block">Factory method, create-show-return.
 Creates a dialog relative to <code>parent</code> frame using UI defaults
 for icon and a locale specific frame title.
 Use <code>JMessageButtonEnum</code> to setup the default button.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
<dd><code>messageType</code> - Same as <code>JOptionPane</code>, one of:
                      ERROR_MESSAGE, INFORMATION_MESSAGE, WARNING_MESSAGE,
                      QUESTION_MESSAGE, or PLAIN_MESSAGE</dd>
<dd><code>optionType</code> - Same as <code>JOptionPane</code>, one of:
                      DEFAULT_OPTION, YES_NO_OPTION, YES_NO_CANCEL_OPTION,
                      OK_CANCEL_OPTION</dd>
<dd><code>defaultButton</code> - The default selected button for the dialog, if
                      <code>null</code> the default for
                      <code>optionType</code> will be selected.
 <p></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The status of the dialog depending on which button
                      was pressed. Same as <code>JOptionPane</code>,
                      one of: CANCEL_OPTION, NO_OPTION, YES_OPTION,
                      OK_OPTION or CLOSED_OPTION if the dialog was closed.</dd>
</dl>
</li>
</ul>
<a name="showMessageDialog-java.awt.Frame-java.lang.String-int-int-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showMessageDialog</h4>
<pre>public static&nbsp;int&nbsp;showMessageDialog(java.awt.Frame&nbsp;parent,
                                    java.lang.String&nbsp;message,
                                    int&nbsp;messageType,
                                    int&nbsp;optionType,
                                    java.lang.Throwable&nbsp;ex)</pre>
<div class="block">Factory method, create-show-return.
 Creates a dialog relative to <code>parent</code> frame using UI defaults
 for icon and a locale specific frame title. Also enables button to print
 the stacktrace of an exception.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
<dd><code>messageType</code> - Same as <code>JOptionPane</code>, one of:
                      ERROR_MESSAGE, INFORMATION_MESSAGE, WARNING_MESSAGE,
                      QUESTION_MESSAGE, or PLAIN_MESSAGE</dd>
<dd><code>optionType</code> - Same as <code>JOptionPane</code>, one of:
                      DEFAULT_OPTION, YES_NO_OPTION, YES_NO_CANCEL_OPTION,
                      OK_CANCEL_OPTION</dd>
<dd><code>ex</code> - An exception to display it's stacktrace,
                      <code>null</code> will disable the stacktrace button
                      functionality.
 <p></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The status of the dialog depending on which button
                      was pressed. Same as <code>JOptionPane</code>,
                      one of: CANCEL_OPTION, NO_OPTION, YES_OPTION,
                      OK_OPTION or CLOSED_OPTION if the dialog was closed.</dd>
</dl>
</li>
</ul>
<a name="showMessageDialog-java.awt.Frame-java.lang.String-java.lang.String-int-int-gr.zeus.ui.JMessage.JMessageButtonEnum-javax.swing.Icon-java.lang.Throwable-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showMessageDialog</h4>
<pre>public static&nbsp;int&nbsp;showMessageDialog(java.awt.Frame&nbsp;parent,
                                    java.lang.String&nbsp;message,
                                    java.lang.String&nbsp;frameTitle,
                                    int&nbsp;messageType,
                                    int&nbsp;optionType,
                                    <a href="../../../gr/zeus/ui/JMessage.JMessageButtonEnum.html" title="enum in gr.zeus.ui">JMessage.JMessageButtonEnum</a>&nbsp;defaultButton,
                                    javax.swing.Icon&nbsp;ico,
                                    java.lang.Throwable&nbsp;ex,
                                    java.lang.String&nbsp;okText,
                                    java.lang.String&nbsp;cancelText,
                                    java.lang.String&nbsp;yesText,
                                    java.lang.String&nbsp;noText)</pre>
<div class="block">Factory method, create-show-return.
 Creates fully customizable message dialog.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - The parent relative frame, can be <code>null</code>.</dd>
<dd><code>message</code> - The message to display, can be plain or html.</dd>
<dd><code>frameTitle</code> - The title for the frame, if <code>null</code> the
                      default is used.</dd>
<dd><code>messageType</code> - Same as <code>JOptionPane</code>, one of:
                      ERROR_MESSAGE, INFORMATION_MESSAGE, WARNING_MESSAGE,
                      QUESTION_MESSAGE, or PLAIN_MESSAGE</dd>
<dd><code>optionType</code> - Same as <code>JOptionPane</code>, one of:
                      DEFAULT_OPTION, YES_NO_OPTION, YES_NO_CANCEL_OPTION,
                      OK_CANCEL_OPTION</dd>
<dd><code>defaultButton</code> - The default selected button for the dialog, if
                      <code>null</code> the default for
                      <code>optionType</code> will be selected.</dd>
<dd><code>ico</code> - The custom icon to use, <code>null</code> means no
                      icon.</dd>
<dd><code>ex</code> - An exception to display it's stacktrace,
                      <code>null</code> will disable the stacktrace button
                      functionality.</dd>
<dd><code>okText</code> - Ok button text, if <code>null</code> the default
                      is used.</dd>
<dd><code>cancelText</code> - Cancel button text, if <code>null</code> the default
                      is used.</dd>
<dd><code>yesText</code> - Yes button text, if <code>null</code> the default
                      is used.</dd>
<dd><code>noText</code> - No button text, if <code>null</code> the default
                      is used.
 <p></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The status of the dialog depending on which button
                      was pressed. Same as <code>JOptionPane</code>,
                      one of: CANCEL_OPTION, NO_OPTION, YES_OPTION,
                      OK_OPTION or CLOSED_OPTION if the dialog was closed.</dd>
</dl>
</li>
</ul>
<a name="getReturnStatus--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getReturnStatus</h4>
<pre>public&nbsp;int&nbsp;getReturnStatus()</pre>
<div class="block">Returns the status of the dialog depending on which button was pressed.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Same as <code>JOptionPane</code>, one of:
                      CANCEL_OPTION, NO_OPTION, YES_OPTION, OK_OPTION or
                      CLOSED_OPTION if the dialog was closed.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../gr/zeus/ui/JIConsole.html" title="class in gr.zeus.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../gr/zeus/ui/JMessage.JMessageButtonEnum.html" title="enum in gr.zeus.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?gr/zeus/ui/JMessage.html" target="_top">Frames</a></li>
<li><a href="JMessage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.javax.swing.JDialog">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
